package rozwiazania_zadan.r2.z1.p2_suma_cyfr;

import java.util.Scanner;

public class SumaCyfr_Matematycznie {
	
	static int sumaCyfr(long liczba) {
		int suma = 0;
		while(liczba > 0) {
			suma += liczba % 10;
			liczba /= 10;
		}
		return suma;
	}

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		System.out.println("Podawaj liczby, a zakończ innym tekstem");
		while(sc.hasNextLong()) {
			long liczba = sc.nextLong();
			int wynik = sumaCyfr(liczba);
			System.out.println("Suma cyfr tej liczby wynosi " + wynik);
			System.out.println();
		}

		System.out.println("pa pa ");
	}

}

